Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Interface IJavaModelStatusConstants

public interface IJavaModelStatusConstants

Status codes used with Java model status objects.

This interface declares constants only; it is not intended to be implemented or extended.

See Also:
  `IJavaModelStatus`, `IStatus.getCode()`

Field Summary
`static int` | `BUILDER_INITIALIZATION_ERROR` Status constant indicating that the Java builder could not be initialized.
`static int` | `BUILDER_SERIALIZATION_ERROR` Status constant indicating that the Java builder's last built state could not be serialized or deserialized.
`static int` | `CLASSPATH_CYCLE` Status indicating that a project is involved in a build path cycle.
`static int` | `COMPILER_FAILURE` Status constant indicating that a compiler failure occurred.
`static int` | `CORE_EXCEPTION` Status constant indicating a core exception occurred.
`static int` | `CP_CONTAINER_PATH_UNBOUND` Status constant indicating that a container path was not resolvable indicating either the referred container is undefined, unbound.
`static int` | `CP_VARIABLE_PATH_UNBOUND` Status constant indicating that a variable path was not resolvable indicating either the referred variable is undefined, unbound or the resolved variable path does not correspond to an existing file or folder.
`static int` | `DEVICE_PATH` Status constant indicating that a path specifying a device was supplied to the operation when a path with no device is required.
`static int` | `DISABLED_CP_EXCLUSION_PATTERNS` Status constant indicating that an inclusion or an exclusion pattern got specified on a classpath source entry, though it was explicitely disabled according to its project preference settings.
`static int` | `DISABLED_CP_MULTIPLE_OUTPUT_LOCATIONS` Status constant indicating that a specific output location got associated with a source entry, though it was explicitely disabled according to its project preference settings.
`static int` | `DOM_EXCEPTION` Status constant indicating that a `DOMException` occurred.
`static int` | `ELEMENT_DOES_NOT_EXIST` Status constant indicating that one or more elements supplied do not exist.
`static int` | `EVALUATION_ERROR` Status constant indicating that an error was encountered while trying to evaluate a code snippet, or other item.
`static int` | `INCOMPATIBLE_JDK_LEVEL` Status constant indicating that a project is prerequisiting some library for which the classfile JDK version level is more recent than the project JDK target level setting.
`static int` | `INDEX_OUT_OF_BOUNDS` Status constant indicating the given source position is out of bounds.
`static int` | `INVALID_CLASSPATH` Status constant indicating that a classpath entry was invalid
`static int` | `INVALID_CLASSPATH_FILE_FORMAT` Status indicating that a .classpath file is ill-formed, and thus cannot be read/written successfully.
`static int` | `INVALID_CONTENTS` Status constant indicating that the specified contents are not valid.
`static int` | `INVALID_CP_CONTAINER_ENTRY` Status constant indicating that a container path was resolved to invalid entries (null or container).
`static int` | `INVALID_DESTINATION` Status constant indicating that a destination provided for a copy/move/rename operation is invalid.
`static int` | `INVALID_ELEMENT_TYPES` Status constant indicating one or more of the elements supplied are not of a valid type for the operation to process.
`static int` | `INVALID_NAME` Status constant indicating that a name provided is not syntactically correct.
`static int` | `INVALID_PACKAGE` Status indicating that the package declaration in a `ICompilationUnit` does not correspond to the `IPackageFragment` it belongs to.
`static int` | `INVALID_PATH` Status constant indicating that a path provided to an operation is invalid.
`static int` | `INVALID_PROJECT` Status indicating that a Java element could not be created because the project owning underlying resource does not have the Java nature.
`static int` | `INVALID_RESOURCE` Status indicating that a Java element could not be created because the underlying resource is invalid.
`static int` | `INVALID_RESOURCE_TYPE` Status indicating that a Java element could not be created because the underlying resource is not of an appropriate type.
`static int` | `INVALID_SIBLING` Status constant indicating that a sibling specified is not valid.
`static int` | `IO_EXCEPTION` Status constant indicating that an `java.io.IOException` occurred.
`static int` | `NAME_COLLISION` Status constant indicating that a naming collision would occur if the operation proceeded.
`static int` | `NO_ELEMENTS_TO_PROCESS` Status constant indicating that no elements were provided to the operation for processing.
`static int` | `NO_LOCAL_CONTENTS` Status indicating that the corresponding resource has no local contents yet.
`static int` | `NULL_NAME` Status constant indicating that `null` was specified as a name argument.
`static int` | `NULL_PATH` Status constant indicating that a `null` path was supplied to the operation.
`static int` | `NULL_STRING` Status constant indicating that a string was supplied to the operation that was `null`.
`static int` | `PATH_OUTSIDE_PROJECT` Status constant indicating that a path outside of the project was supplied to the operation.
`static int` | `READ_ONLY` Status constant indicating that the operation encountered a read-only element.
`static int` | `RELATIVE_PATH` Status constant indicating that a relative path was supplied to the operation when an absolute path is required.
`static int` | `TARGET_EXCEPTION` Status constant indicating that a `TargetException` occurred.
`static int` | `UPDATE_CONFLICT` Status constant indicating there is an update conflict for a working copy.

Field Detail

### INVALID_CP_CONTAINER_ENTRY

    public static final int INVALID_CP_CONTAINER_ENTRY

  Status constant indicating that a container path was resolved to invalid entries (null or container).

  Since:
    2.0
  See Also:
    Constant Field Values

### CP_CONTAINER_PATH_UNBOUND

    public static final int CP_CONTAINER_PATH_UNBOUND

  Status constant indicating that a container path was not resolvable indicating either the referred container is undefined, unbound.

  Since:
    2.0
  See Also:
    Constant Field Values

### INVALID_CLASSPATH

    public static final int INVALID_CLASSPATH

  Status constant indicating that a classpath entry was invalid

  See Also:
    Constant Field Values

### CP_VARIABLE_PATH_UNBOUND

    public static final int CP_VARIABLE_PATH_UNBOUND

  Status constant indicating that a variable path was not resolvable indicating either the referred variable is undefined, unbound or the resolved variable path does not correspond to an existing file or folder.

  See Also:
    Constant Field Values

### CORE_EXCEPTION

    public static final int CORE_EXCEPTION

  Status constant indicating a core exception occurred. Use `getException` to retrieve a `CoreException`.

  See Also:
    Constant Field Values

### INVALID_ELEMENT_TYPES

    public static final int INVALID_ELEMENT_TYPES

  Status constant indicating one or more of the elements supplied are not of a valid type for the operation to process. The element(s) can be retrieved using `getElements` on the status object.

  See Also:
    Constant Field Values

### NO_ELEMENTS_TO_PROCESS

    public static final int NO_ELEMENTS_TO_PROCESS

  Status constant indicating that no elements were provided to the operation for processing.

  See Also:
    Constant Field Values

### ELEMENT_DOES_NOT_EXIST

    public static final int ELEMENT_DOES_NOT_EXIST

  Status constant indicating that one or more elements supplied do not exist. The element(s) can be retrieved using `getElements` on the status object.

  See Also:
    `IJavaModelStatus.isDoesNotExist()`, Constant Field Values

### NULL_PATH

    public static final int NULL_PATH

  Status constant indicating that a `null` path was supplied to the operation.

  See Also:
    Constant Field Values

### PATH_OUTSIDE_PROJECT

    public static final int PATH_OUTSIDE_PROJECT

  Status constant indicating that a path outside of the project was supplied to the operation. The path can be retrieved using `getPath` on the status object.

  See Also:
    Constant Field Values

### RELATIVE_PATH

    public static final int RELATIVE_PATH

  Status constant indicating that a relative path was supplied to the operation when an absolute path is required. The path can be retrieved using `getPath` on the status object.

  See Also:
    Constant Field Values

### DEVICE_PATH

    public static final int DEVICE_PATH

  Status constant indicating that a path specifying a device was supplied to the operation when a path with no device is required. The path can be retrieved using `getPath` on the status object.

  See Also:
    Constant Field Values

### NULL_STRING

    public static final int NULL_STRING

  Status constant indicating that a string was supplied to the operation that was `null`.

  See Also:
    Constant Field Values

### READ_ONLY

    public static final int READ_ONLY

  Status constant indicating that the operation encountered a read-only element. The element(s) can be retrieved using `getElements` on the status object.

  See Also:
    Constant Field Values

### NAME_COLLISION

    public static final int NAME_COLLISION

  Status constant indicating that a naming collision would occur if the operation proceeded.

  See Also:
    Constant Field Values

### INVALID_DESTINATION

    public static final int INVALID_DESTINATION

  Status constant indicating that a destination provided for a copy/move/rename operation is invalid. The destination element can be retrieved using `getElements` on the status object.

  See Also:
    Constant Field Values

### INVALID_PATH

    public static final int INVALID_PATH

  Status constant indicating that a path provided to an operation is invalid. The path can be retrieved using `getPath` on the status object.

  See Also:
    Constant Field Values

### INDEX_OUT_OF_BOUNDS

    public static final int INDEX_OUT_OF_BOUNDS

  Status constant indicating the given source position is out of bounds.

  See Also:
    Constant Field Values

### UPDATE_CONFLICT

    public static final int UPDATE_CONFLICT

  Status constant indicating there is an update conflict for a working copy. The compilation unit on which the working copy is based has changed since the working copy was created.

  See Also:
    Constant Field Values

### NULL_NAME

    public static final int NULL_NAME

  Status constant indicating that `null` was specified as a name argument.

  See Also:
    Constant Field Values

### INVALID_NAME

    public static final int INVALID_NAME

  Status constant indicating that a name provided is not syntactically correct. The name can be retrieved from `getString`.

  See Also:
    Constant Field Values

### INVALID_CONTENTS

    public static final int INVALID_CONTENTS

  Status constant indicating that the specified contents are not valid.

  See Also:
    Constant Field Values

### IO_EXCEPTION

    public static final int IO_EXCEPTION

  Status constant indicating that an `java.io.IOException` occurred.

  See Also:
    Constant Field Values

### DOM_EXCEPTION

    public static final int DOM_EXCEPTION

  Status constant indicating that a `DOMException` occurred.

  See Also:
    Constant Field Values

### TARGET_EXCEPTION

    public static final int TARGET_EXCEPTION

  Status constant indicating that a `TargetException` occurred.

  See Also:
    Constant Field Values

### BUILDER_INITIALIZATION_ERROR

    public static final int BUILDER_INITIALIZATION_ERROR

  Status constant indicating that the Java builder could not be initialized.

  See Also:
    Constant Field Values

### BUILDER_SERIALIZATION_ERROR

    public static final int BUILDER_SERIALIZATION_ERROR

  Status constant indicating that the Java builder's last built state could not be serialized or deserialized.

  See Also:
    Constant Field Values

### EVALUATION_ERROR

    public static final int EVALUATION_ERROR

  Status constant indicating that an error was encountered while trying to evaluate a code snippet, or other item.

  See Also:
    Constant Field Values

### INVALID_SIBLING

    public static final int INVALID_SIBLING

  Status constant indicating that a sibling specified is not valid.

  See Also:
    Constant Field Values

### INVALID_RESOURCE

    public static final int INVALID_RESOURCE

  Status indicating that a Java element could not be created because the underlying resource is invalid.

  See Also:
    `JavaCore`, Constant Field Values

### INVALID_RESOURCE_TYPE

    public static final int INVALID_RESOURCE_TYPE

  Status indicating that a Java element could not be created because the underlying resource is not of an appropriate type.

  See Also:
    `JavaCore`, Constant Field Values

### INVALID_PROJECT

    public static final int INVALID_PROJECT

  Status indicating that a Java element could not be created because the project owning underlying resource does not have the Java nature.

  See Also:
    `JavaCore`, Constant Field Values

### INVALID_PACKAGE

    public static final int INVALID_PACKAGE

  Status indicating that the package declaration in a `ICompilationUnit` does not correspond to the `IPackageFragment` it belongs to. The `getString` method of the associated status object gives the name of the package in which the `ICompilationUnit` is declared.

  See Also:
    Constant Field Values

### NO_LOCAL_CONTENTS

    public static final int NO_LOCAL_CONTENTS

  Status indicating that the corresponding resource has no local contents yet. This might happen when attempting to use a resource before its contents has been made locally available.

  See Also:
    Constant Field Values

### INVALID_CLASSPATH_FILE_FORMAT

    public static final int INVALID_CLASSPATH_FILE_FORMAT

  Status indicating that a .classpath file is ill-formed, and thus cannot be read/written successfully.

  Since:
    2.1
  See Also:
    Constant Field Values

### CLASSPATH_CYCLE

    public static final int CLASSPATH_CYCLE

  Status indicating that a project is involved in a build path cycle.

  Since:
    2.1
  See Also:
    Constant Field Values

### DISABLED_CP_EXCLUSION_PATTERNS

    public static final int DISABLED_CP_EXCLUSION_PATTERNS

  Status constant indicating that an inclusion or an exclusion pattern got specified on a classpath source entry, though it was explicitely disabled according to its project preference settings.

  Since:
    2.1
  See Also:
    `IJavaProject.getOptions(boolean)`, Constant Field Values

### DISABLED_CP_MULTIPLE_OUTPUT_LOCATIONS

    public static final int DISABLED_CP_MULTIPLE_OUTPUT_LOCATIONS

  Status constant indicating that a specific output location got associated with a source entry, though it was explicitely disabled according to its project preference settings.

  Since:
    2.1
  See Also:
    `IJavaProject.getOptions(boolean)`, Constant Field Values

### INCOMPATIBLE_JDK_LEVEL

    public static final int INCOMPATIBLE_JDK_LEVEL

  Status constant indicating that a project is prerequisiting some library for which the classfile JDK version level is more recent than the project JDK target level setting. This can indicate some binary incompatibility issues later on.

  Since:
    3.0
  See Also:
    Constant Field Values

### COMPILER_FAILURE

    public static final int COMPILER_FAILURE

  Status constant indicating that a compiler failure occurred.

  Since:
    3.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.